Zum Inhalt springen
Bpanda
Deutsch
Esc
↑↓navigieren↵öffnen⌘Jvorschau

Publish the elements with the given IDs.

Publish the elements with the given IDs. Publishes the architecture elements with the given ids. The ids are instance ids (the id of one version of an element), not logical ElementIds.

Security: Manager or Designer of the process space, or an owner of the affected architecture element(s).

POST/v1/warehouses/{warehouseId}/architectureElements/publish
Authorization
AuthorizationBearer token (JWT) · headerrequired
BpmLicenseAPI key · headerrequired
Path parameters
warehouseIdstringrequired

Warehouse-Id

Request body
requiredapplication/json

Instance ids of the ArchitectureElements to publish

Array of string
string
Responses
200

published ArchitectureElements

Array of ArchitectureElement
conceptualClassArchitectureElementTyperequired
Allowed:ApplicationCollaborationApplicationComponentApplicationEventApplicationFunctionApplicationInteractionApplicationInterfaceApplicationProcessApplicationServiceArchitectureElementArtifactAssessmentBusinessActorBusinessCollaborationBusinessEventBusinessFunctionBusinessInteractionBusinessInterfaceBusinessObjectBusinessProcessBusinessRoleBusinessServiceCapabilityCommunicationNetworkCommunicationPathConstraintContractCourseOfActionDataObjectDeliverableDeviceDistributionNetworkDriverEquipmentFacilityGapGoalGroupingImplementationEventLocationMaterialMeaningNodeOutcomePlateauPrincipleProductRepresentationRequirementResourceStakeholderSystemSoftwareTechnologyCollaborationTechnologyEventTechnologyFunctionTechnologyInteractionTechnologyInterfaceTechnologyProcessTechnologyServiceValueValueStreamWorkPackage
createdHistoryrequired
Show properties
atstringrequired
bystringrequired
elementIdstringrequired
groupsArchitectureGroup[]required
Show properties
Array of ArchitectureGroup
corebooleanrequired
descriptionTranslatedString
Show properties
defaultLanguagestringrequired
translationsTranslation[]required
Show properties
Array of Translation
languagestringrequired
valuestringrequired
keystringrequired
labelTranslatedString
Show properties
defaultLanguagestringrequired
translationsTranslation[]required
hasPredecessorbooleanrequired
idstringrequired
lastValidationHistory
Show properties
atstringrequired
bystringrequired
layerArchitectureElementLayerrequired
Allowed:ApplicationLayerBusinessLayerGenericLayerImplementationAndMigrationLayerMotivationElementsStrategyLayerTechnologyLayer
modifiedHistory
Show properties
atstringrequired
bystringrequired
ownersEntityId[]required
Show properties
Array of EntityId
typeEntityIdTyperequired
Allowed:GroupIdOrgRoleIdOrgUnitIdUserId
valuestringrequired
principalIsOwnerbooleanrequired
propertiesArchitectureProperty[]required
Show properties
Array of ArchitectureProperty
metaArchitectureMetaPropertyrequired
Show properties
corebooleanrequired
descriptionTranslatedString
groupstring
keystringrequired
labelTranslatedString
typeArchitecturePropertyTyperequired
Allowed:BBCodeBooleanDateDateTimeDecimalEnumIntegerStringTime
validationArchitecturePropertyValidation
Show properties
literalsTranslatedString[]
lowerBoundstring
mandatorybooleanrequired
upperBoundstring
valueTranslatedString
Show properties
defaultLanguagestringrequired
translationsTranslation[]required
publishedHistory
Show properties
atstringrequired
bystringrequired
referencesArchitectureReference[]required
Show properties
Array of ArchitectureReference
metaArchitectureMetaReferencerequired
Show properties
corebooleanrequired
descriptionTranslatedString
groupstring
keystringrequired
labelTranslatedString
multiplicityArchitectureReferenceMultiplicityrequired
Allowed:ExactlyOneOneOrMoreZeroOrMoreZeroOrOne
targetClassesstring[]required
targetReference
Show properties
assignedArchitectureElementRefsArchitectureElementRef[]required
Show properties
Array of ArchitectureElementRef
conceptualClassArchitectureElementTyperequired
Allowed:ApplicationCollaborationApplicationComponentApplicationEventApplicationFunctionApplicationInteractionApplicationInterfaceApplicationProcessApplicationServiceArchitectureElementArtifactAssessmentBusinessActorBusinessCollaborationBusinessEventBusinessFunctionBusinessInteractionBusinessInterfaceBusinessObjectBusinessProcessBusinessRoleBusinessServiceCapabilityCommunicationNetworkCommunicationPathConstraintContractCourseOfActionDataObjectDeliverableDeviceDistributionNetworkDriverEquipmentFacilityGapGoalGroupingImplementationEventLocationMaterialMeaningNodeOutcomePlateauPrincipleProductRepresentationRequirementResourceStakeholderSystemSoftwareTechnologyCollaborationTechnologyEventTechnologyFunctionTechnologyInteractionTechnologyInterfaceTechnologyProcessTechnologyServiceValueValueStreamWorkPackage
elementIdstringrequired
referenceDirectionReferenceDirectionrequired
Allowed:BidirectionalNoneSourceTarget
referenceKindReferenceKindrequired
Allowed:AccessAggregationArchitectureReferenceAssignmentAssociationCompositionFlowInfluenceRealizationServingSpecializationTriggering
specializationstring
createdHistoryrequired
linkedElementsRefId[]required
modifiedHistory
propertiesArchitectureProperty[]required
relationshipIdstringrequired
representationRefId
Show properties
typestringrequired
specializationstring
validityStateArchitectureValidityStaterequired
Allowed:DraftInvalidNextUpcomingValid
visibilityVisibilityrequired
Show properties
lastChangeHistoryrequired
Show properties
atstringrequired
bystringrequired
visiblebooleanrequired
403

Forbidden: insufficient permissions

string
404

Warehouse not found

string
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://publicapi.goto.bpanda.com/bpm/api/v1/warehouses/string/architectureElements/publish' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'BpmLicense: YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '[
  "string"
]'
Response
[
  {
    "conceptualClass": "ApplicationCollaboration",
    "created": {
      "at": "string",
      "by": "string"
    },
    "elementId": "string",
    "groups": [
      {
        "core": true,
        "description": {
          "defaultLanguage": "string",
          "translations": [
            {
              "language": "string",
              "value": "string"
            }
          ]
        },
        "key": "string",
        "label": {
          "defaultLanguage": "string",
          "translations": [
            {
              "language": "string",
              "value": "string"
            }
          ]
        }
      }
    ],
    "hasPredecessor": true,
    "id": "string",
    "lastValidation": {
      "at": "string",
      "by": "string"
    },
    "layer": "ApplicationLayer",
    "modified": {
      "at": "string",
      "by": "string"
    },
    "owners": [
      {
        "type": "GroupId",
        "value": "string"
      }
    ],
    "principalIsOwner": true,
    "properties": [
      {
        "meta": {
          "core": true,
          "description": {
            "defaultLanguage": "string",
            "translations": [
              {
                "language": "string",
                "value": "string"
              }
            ]
          },
          "group": "string",
          "key": "string",
          "label": {
            "defaultLanguage": "string",
            "translations": [
              {
                "language": "string",
                "value": "string"
              }
            ]
          },
          "type": "BBCode",
          "validation": {
            "literals": [
              {
                "defaultLanguage": "string",
                "translations": [
                  {
                    "language": "string",
                    "value": "string"
                  }
                ]
              }
            ],
            "lowerBound": "string",
            "mandatory": true,
            "upperBound": "string"
          }
        },
        "value": {
          "defaultLanguage": "string",
          "translations": [
            {
              "language": "string",
              "value": "string"
            }
          ]
        }
      }
    ],
    "published": {
      "at": "string",
      "by": "string"
    },
    "references": [
      {
        "meta": {
          "core": true,
          "description": {
            "defaultLanguage": "string",
            "translations": [
              {
                "language": "string",
                "value": "string"
              }
            ]
          },
          "group": "string",
          "key": "string",
          "label": {
            "defaultLanguage": "string",
            "translations": [
              {
                "language": "string",
                "value": "string"
              }
            ]
          },
          "multiplicity": "ExactlyOne",
          "targetClasses": [
            "string"
          ]
        },
        "target": {
          "assignedArchitectureElementRefs": [
            {
              "conceptualClass": "ApplicationCollaboration",
              "elementId": "string",
              "referenceDirection": "Bidirectional",
              "referenceKind": "Access",
              "specialization": "string"
            }
          ],
          "created": {
            "at": "string",
            "by": "string"
          },
          "linkedElements": [
            {
              "type": "string"
            }
          ],
          "modified": {
            "at": "string",
            "by": "string"
          },
          "properties": [
            {
              "meta": {
                "core": true,
                "description": {
                  "defaultLanguage": "string",
                  "translations": [
                    {
                      "language": "string",
                      "value": "string"
                    }
                  ]
                },
                "group": "string",
                "key": "string",
                "label": {
                  "defaultLanguage": "string",
                  "translations": [
                    {
                      "language": "string",
                      "value": "string"
                    }
                  ]
                },
                "type": "BBCode",
                "validation": {
                  "literals": [
                    {
                      "defaultLanguage": "string",
                      "translations": [
                        {
                          "language": "string",
                          "value": "string"
                        }
                      ]
                    }
                  ],
                  "lowerBound": "string",
                  "mandatory": true,
                  "upperBound": "string"
                }
              },
              "value": {
                "defaultLanguage": "string",
                "translations": [
                  {
                    "language": "string",
                    "value": "string"
                  }
                ]
              }
            }
          ],
          "relationshipId": "string"
        }
      }
    ],
    "representation": {
      "type": "string"
    },
    "specialization": "string",
    "validityState": "Draft",
    "visibility": {
      "lastChange": {
        "at": "string",
        "by": "string"
      },
      "visible": true
    }
  }
]